Skip to main content

Get person query

GET 

/orgs/:org_id/people/queries/:query_id

Returns a person query item.

The query item is an object that consists of an id, type, title, info_text and filter_spec. The type is always "standalone" (when retrieved from this endpoint).

The filter_spec consists of an array of filters that are described here.

Example:

{
"id": "1",
"type" : "standalone"
"title": "example"
"info_text": "some info text",
"org_access": "suborgs",
"filter_spec":
[{
"op": "add"
"type": "person_data",
"config": {
"fields": {
"first_name": "Clara",
"last_name": "Zetkin"
},
"organizationChoice": "specific",
"specificOrganizations": [1,2,3],
}
},
{
"op": "add"
"type": "person_tags",
"config": {
"condition": "none",
"tags": [1, 2, 3]
}
}]
}

Request

Responses

Example response for status 401